ComSer Forum
Welcome, Guest. Please login or register.
July 22, 2018, 11:19:47 PM

Login with username, password and session length
Search:     Advanced search
Get Liero 1.34b and Liero 1.33 at www.liero.be - the official Liero site
8133 Posts in 708 Topics by 253 Members
Latest Member: Maxigenzztop
* Home Help Search Calendar Login Register
+  ComSer Forum
|-+  ComSer General
| |-+  Dr. Darka's Linux Centre
| | |-+  Gusanos 0.8.1 on Linux HOWTO [OUTDATED]
0 Members and 1 Guest are viewing this topic. « previous next »
Pages: 1 2 [3] 4 5 Go Down Print
Author Topic: Gusanos 0.8.1 on Linux HOWTO [OUTDATED]  (Read 60646 times)
mots
Sr. Member
***

Karma: 0
Offline Offline

Posts: 73



View Profile
« Reply #30 on: October 15, 2005, 11:18:34 AM »

Quote
mots@Nonsense:~/gusanos$ ls -al
total 436
drwxrwxrwx   6 mots mots   4096 Oct 15 14:00 .
drwxr-xr-x  62 mots mots   4096 Oct 15 17:06 ..
-rw-r--r--   1 mots mots    179 May 11 20:43 CREDITS
drwxr-xr-x   8 mots mots   4096 Oct 15 14:01 cog
-rwxrwxrwx   1 mots mots 201265 Oct 15 10:23 gusanos
-rwxrwxrwx   1 root root 201265 Oct 15 10:23 gusanos.exe
drwxr-xr-x   7 mots mots   4096 Oct 15 12:55 instagib
drwxr-xr-x   7 mots mots   4096 Oct 15 12:55 ts
drwxrwxrwx   3 root root   4096 Oct 15 12:53 zoid
Sorry, I accidentally modified your post Tongue, but where is the "default" directory?


Ooops, I accidentally extracted it to the wrong dir. It works now. One simple question: can I run my mod from linux-Gusanos?

EDIT:
I tried it and it works, but the controls are messed up.
why? The cfg-File worked perfectly on win.
Here it is:

Quote
gravity 30
map_show_mode 1
render_layers 1
exec mod.cfg

//PLAYER 0 CONFIG
p0_nick WORM1
bind A p0_left
bind S p0_down
bind D p0_right
bind W p0_up
bind F p0_fire
bind G p0_jump
bind H p0_change
bind R p0_reload

//PLAYER 1 KEY CONFIG

bind left p1_left
bind up p1_up
bind down p1_down
bind right p1_right
bind RCONTROL p1_fire
bind RSHIFT p1_jump
bind 0_pad p1_change
bind ENTER p1_reload

//GENERAL CONFIG
bind ESC quit
flashlight 0

// Camouflage config
bind 1_pad p1_skin default
bind 2_pad p1_skin black
bind 3_pad p1_skin green
bind 4_pad p1_skin water
bind 5_pad p1_skin water2
bind 6_pad p1_skin cave
bind 7_pad p1_skin wall
bind 8_pad p1_skin wall2
bind 9_pad p1_skin wall3


bind 1 p0_skin default
bind 2 p0_skin black
bind 3 p0_skin green
bind 4 p0_skin water
bind z p0_skin water2
bind x p0_skin cave
bind c p0_skin wall
bind v p0_skin wall2
bind 5 p0_skin wall3
« Last Edit: October 15, 2005, 11:24:13 AM by mots » Logged
darka
Cancelled
Linux Guru
Veteran Member
*****

Karma: 12
Offline Offline

Posts: 192


View Profile
« Reply #31 on: October 15, 2005, 10:56:19 PM »

Keys are a mess in Gusanos 0.8 (like everything else), so you should better wait for 0.9.
Logged
mots
Sr. Member
***

Karma: 0
Offline Offline

Posts: 73



View Profile
« Reply #32 on: October 16, 2005, 02:38:12 AM »

Keys are a mess in Gusanos 0.8 (like everything else), so you should better wait for 0.9.
But on windows, they worked fine...
Logged
basara
Administrator
Historic Member
*****

Karma: 31
Offline Offline

Posts: 841



View Profile
« Reply #33 on: October 16, 2005, 07:15:12 AM »

hmm.. the only reason I can see for that to not work on linux is that the config filename would be wrong.. maybe you have it with caps?
Logged
Gliptic
Gusanos Team
Veteran Member
*****

Karma: 8
Offline Offline

Posts: 208


View Profile
« Reply #34 on: October 17, 2005, 05:09:12 AM »

..or that he uses allegro 4.2.
Logged
mots
Sr. Member
***

Karma: 0
Offline Offline

Posts: 73



View Profile
« Reply #35 on: October 17, 2005, 11:05:53 AM »

I don't know which version I use ,but the Scoreboard and th minimap work. All other keys bot  Undecided
Logged
basara
Administrator
Historic Member
*****

Karma: 31
Offline Offline

Posts: 841



View Profile
« Reply #36 on: October 17, 2005, 06:27:59 PM »

If you are using allegro 4.2 then thats very likely to be the problem.. please check the version
Logged
mots
Sr. Member
***

Karma: 0
Offline Offline

Posts: 73



View Profile
« Reply #37 on: October 17, 2005, 08:36:22 PM »

If you are using allegro 4.2 then thats very likely to be the problem.. please check the version

And where do I get the old version?
Logged
thematrixeatsyou
Guest
« Reply #38 on: October 17, 2005, 09:01:47 PM »

You could always get 4.0.3, but it's risky. Or is that what he's using? I'm not sure. Try tampering with the source if you can.
Otherwise your files might be in the wrong case. Linux files are case-sensitive.

-thematrixeatsyou on allegro.cc

Logged
basara
Administrator
Historic Member
*****

Karma: 31
Offline Offline

Posts: 841



View Profile
« Reply #39 on: October 18, 2005, 06:12:23 AM »

Yay, someone from allegro.cc reads comser forum Cheesy

It seems that allegro 4.1.x versions are not avaiable anymore except from diff patches :S
Gusanos 0.8 was developed with those.. I dont know if it will work with 4.0.3.. You will probably not lose anything by trying anyway Tongue
Logged
Jonny
Jonny
Hero Member
*****

Karma: 20
Offline Offline

Posts: 347


View Profile WWW
« Reply #40 on: October 18, 2005, 07:13:26 AM »

Why not install .9 of doom then?
Logged
darka
Cancelled
Linux Guru
Veteran Member
*****

Karma: 12
Offline Offline

Posts: 192


View Profile
« Reply #41 on: October 18, 2005, 08:33:19 AM »

Maybe because the data isn't public?
Anyway, allegro 4.1.x is still available on sf, you just have to dig for it Smiley Here's 4.1.18 (the last of 4.1 series) for example: http://prdownloads.sourceforge.net/alleg/allegro-4.1.18.tar.gz?download
Logged
basara
Administrator
Historic Member
*****

Karma: 31
Offline Offline

Posts: 841



View Profile
« Reply #42 on: October 18, 2005, 08:39:17 AM »

ah, darka pwnz0rs me Smiley
Logged
mots
Sr. Member
***

Karma: 0
Offline Offline

Posts: 73



View Profile
« Reply #43 on: October 27, 2005, 05:36:33 AM »

Maybe because the data isn't public?
Anyway, allegro 4.1.x is still available on sf, you just have to dig for it Smiley Here's 4.1.18 (the last of 4.1 series) for example: http://prdownloads.sourceforge.net/alleg/allegro-4.1.18.tar.gz?download
I looked up in Synaptic today and it tells me that I have liballegro4.1 Version 2:4.1.15-5 installed. So why it doesn't work?
Logged
darka
Cancelled
Linux Guru
Veteran Member
*****

Karma: 12
Offline Offline

Posts: 192


View Profile
« Reply #44 on: October 27, 2005, 08:32:41 AM »

According to basara, you should ask mana (his cat) about it.
Logged
Pages: 1 2 [3] 4 5 Go Up Print 
« previous next »
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.13 | SMF © 2006-2011, Simple Machines LLC Valid XHTML 1.0! Valid CSS!